All Classes Functions Variables Typedefs Enumerations Enumerator Pages
QwtIntervalSeriesData Class Reference

Interface for iterating over an array of intervals. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtIntervalSeriesData:
[legend]

## Public Member Functions

| QwtIntervalSeriesData (const QVector< QwtIntervalSample > &=QVector< QwtIntervalSample >())
virtual QRectF | boundingRect () const
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtIntervalSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtIntervalSample > &samples)
void | setSamples (const QVector< QwtIntervalSample > &samples)
const QVector< QwtIntervalSample > | samples () const
virtual size_t | size () const
virtual QwtIntervalSample | sample (size_t index) const
Public Member Functions inherited from QwtSeriesData< QwtIntervalSample >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QwtIntervalSample >
QVector< QwtIntervalSample > | d_samples
| Vector of samples.

## Detailed Description

Interface for iterating over an array of intervals.

## Constructor & Destructor Documentation

QwtIntervalSeriesData::QwtIntervalSeriesData | ( | const QVector< QwtIntervalSample > & | samples = `QVector<QwtIntervalSample>()` | ) |

Constructor

Parameters

  samples | Samples

## Member Function Documentation

QRectF QwtIntervalSeriesData::boundingRect | ( |  | ) | const

virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< QwtIntervalSample >.